| # Gaudi Framework, version v20r4
Generated: 8 Jan 2009

# ToolHandleInfo Class Reference

`#include <ToolHandle.h>`

Inheritance diagram for ToolHandleInfo:

[legend]
Collaboration diagram for ToolHandleInfo:

[legend]

List of all members.

## Detailed Description

General info and helper functions for toolhandles and arrays.

Definition at line 20 of file ToolHandle.h.

## Public Member Functions
virtual | ~ToolHandleInfo ()
bool | isPublic () const
bool | createIf () const
const IInterface * | parent () const
const std::string | toolComponentType (const IInterface *parent) const
const std::string | toolParentName (const IInterface *parent) const
## Protected Member Functions
| ToolHandleInfo (const IInterface *parent=0, bool createIf=true)
## Private Attributes
const IInterface * | m_parent
bool | m_createIf

## Constructor & Destructor Documentation

ToolHandleInfo::ToolHandleInfo | ( | const IInterface * | parent = `0`,
|  | bool | createIf = `true` |
| ) |  |  | `[inline, protected]`

Definition at line 22 of file ToolHandle.h.

    00023     : m_parent(parent), m_createIf(createIf)
    00024     {}

virtual ToolHandleInfo::~ToolHandleInfo | ( |  | ) | `[inline, virtual]`

Definition at line 27 of file ToolHandle.h.

    00027 {};

## Member Function Documentation

bool ToolHandleInfo::isPublic | ( |  | ) | const`[inline]`

Definition at line 29 of file ToolHandle.h.

    00029                         {
    00030      return !m_parent;
    00031   }

bool ToolHandleInfo::createIf | ( |  | ) | const`[inline]`

Definition at line 33 of file ToolHandle.h.

    00033                         {
    00034      return m_createIf;
    00035   }

const IInterface* ToolHandleInfo::parent | ( |  | ) | const`[inline]`

Definition at line 37 of file ToolHandle.h.

    00037                                    {
    00038      return m_parent;
    00039   }

const std::string ToolHandleInfo::toolComponentType | ( | const IInterface * | parent | ) | const`[inline]`

Definition at line 44 of file ToolHandle.h.

    00044                                                                       {
    00045     return parent ? "PrivateTool" : "PublicTool";
    00046   }

const std::string ToolHandleInfo::toolParentName | ( | const IInterface * | parent | ) | const`[inline]`

Definition at line 48 of file ToolHandle.h.

    00048                                                                    {
    00049     if (parent) {
    00050       const INamedInterface* pNamed = dynamic_cast<const INamedInterface*>(parent);
    00051       if (pNamed) {
    00052         return pNamed->name();
    00053       } else {
    00054         return "";
    00055       }
    00056     } else {
    00057       return "ToolSvc";
    00058     }
    00059   }

## Member Data Documentation

const IInterface* ToolHandleInfo::m_parent`[private]`

Definition at line 62 of file ToolHandle.h.

bool ToolHandleInfo::m_createIf`[private]`

Definition at line 63 of file ToolHandle.h.

The documentation for this class was generated from the following file:

- /afs/cern.ch/sw/Gaudi/releases/GAUDI/GAUDI_v20r4/GaudiKernel/GaudiKernel/ToolHandle.h